New-PSUEndpoint -Url "/service" -Description "Get all services." -Endpoint {
Get-Service | Select-Object -Property Name,DisplayName,@{Name="Status";e={$_.Status.ToString()}}
} -Timeout 0 
New-PSUEndpoint -Url "/service/:name" -Description "Delete a service by name. " -Method "DELETE" -Endpoint {
param($Name)

Remove-Service -Name $Name -Confirm:$false
} -Timeout 0 
New-PSUEndpoint -Url "/service" -Description "Create a new service. " -Method "POST" -Endpoint {
param(
    [Parameter(Mandatory)]
    $Name, 
    [Parameter(Mandatory)]
    $Path
)

New-Service -Name $Name -BinaryPathName $Path 

# Invoke-RestMethod http://localhost:5000/service -Method POST -Body @{ Name = "myService"; Path = 'myService.exe' }
} -Timeout 0 
New-PSUEndpoint -Url "/service/:name" -Description "Get a service by name." -Endpoint {
param($Name)

Get-Service -Name $Name | Select-Object -Property Name,DisplayName,@{Name="Status";e={$_.Status.ToString()}}
} -Timeout 0 
New-PSUEndpoint -Url "/service/:name/status" -Description "Control the state of a service. " -Method "PUT" -Endpoint {
param($Name)

$Service = Get-Service -Name $Name
if ($Service.Status -eq 'Stopped')
{
    Start-Service -Name $Name
}
else 
{
    Stop-Service -Name $Name
}
} -Timeout 0